GuidesRecipesAPI ReferenceChangelog
Log In
API Reference

Creates a new advanced mobile device search

Creates a new advanced mobile device search

🔄

Jamf Pro API equivalent available: POST /api/v1/advanced-mobile-device-searches. The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Privileges required to interact with this endpoint: Create - Advanced Mobile Device Searches

<advanced_mobile_device_search>
	<name>Advanced Search Name</name>
	<view_as>Standard Web Page</view_as>
	<criteria>
		<criterion>
			<name>Last Inventory Update</name>
			<priority>0</priority>
			<and_or>and</and_or>
			<search_type>more than x days ago</search_type>
			<value>7</value>
			<opening_paren>false</opening_paren>
			<closing_paren>false</closing_paren>
		</criterion>
	</criteria>
	<display_fields>
		<display_field>
			<name>IP Address</name>
		</display_field>
	</display_fields>
	<site>
		<id>-1</id>
		<name>None</name>
	</site>
</advanced_mobile_device_search>
Path Params
integer
required
Defaults to 0

ID value to filter by

Response
201

Created

Language
Credentials
Basic
base64
:
LoadingLoading…